.c-prefooter {
  position: relative;
  padding: 5rem 2rem 7rem;
  font-family: $font-global;
  color: $white;
  text-align: center;

  @include md {
    padding: 6rem 0 12.4rem 0;
  }

  &__title {
    margin: 0;
    letter-spacing: -0.1rem;
    font-family: $font-global;
    font-size: 2.4rem;
    font-weight: 300;
    line-height: 3.2rem;

    @include sm {
      letter-spacing: -0.1rem;
      font-size: 3.2rem;
      font-weight: 400;
      line-height: 4.5rem;
    }
    
    @include md {
      letter-spacing: -0.2rem;
      font-size: 4.8rem;
      line-height: 6.5rem;
    }
  }

  &__content {
    color: $white;

    @include sm {
      max-width: 56rem;
      margin: 0 auto;
    }

    p {
      padding: 2rem 0;

      @include md {
        padding: 1rem 0;
      }
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      display: block;
      padding-top: 1rem;
      font-family: $font-global;
      font-weight: 800;
      font-size: 1.6rem;
      line-height: 2.4rem;
      letter-spacing: 0;
      text-transform: uppercase;
    }
  }
}


.c-footer {
  &__content {
    position: relative;
    padding: 8.8rem 4rem 5rem;
    background-color: $black;

    @include md {
      padding: 8rem 9rem 5rem;
    }


    &__cta {
      z-index: 2;
      position: absolute;
      display: inline-flex;
      flex: 1 0 auto;
      top: -2.2rem;
      left: 50%;
      white-space: nowrap;
      max-width: 69.5rem;
      padding: 2.4rem 7.8rem;
      border-radius: 5rem;
      background: $white;
      color: $black;
      text-transform: uppercase;
      text-decoration: none;
      font-family: $font-global;
      font-weight: 400;
      font-style: italic;
      font-size: 1.6rem;
      transform: translateX(-50%);
      overflow: hidden;
  
      @include md {
        top: -4.4rem;
        padding: 2.8rem 22.4rem;
        font-size: 2.4rem;
      }

      &__label {
        color: $black;
        transition: all 0.1s ease-in-out;
      }

      &:hover {
        background: linear-gradient(83deg, #0009DE 0.71%, #2ECDFF 99.29%);
        
        .c-footer__content__cta__label {
          color: $white;
        }
      }
    }
  }

  &__cols {
    .row {
      gap: 4rem 0;
  
      @include md {
        gap: 0;
      }
    }

    &__content {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
      gap: 0.5rem 0;
      height: 100%;

      &--socials {
        @include sm {
          align-items: flex-end;
        }
      }
      

      > * {
        display: inline-flex;
        color: $white;
        text-transform: uppercase;
        text-decoration: none;
        transition: all 0.2s ease-in-out;
      }

      > a {
        &:hover {
          color: rgba($white, 0.7);
        }
      }
    }
  }
}